#pragma once

#include <EGL/egl.h>

struct wl_display;

class WaylandEglInterface
{
public:

    void initialize(wl_display* display);

    EGLDisplay getDisplay() const;

    EGLConfig getConfig() const;

    EGLContext getContext() const;

private:
    EGLDisplay mEglDisplay;
    EGLConfig mEglConfig;
    EGLContext mEglContext;
};
